Subject: Re: bug#14574: prog-prettify-symbols breaks font-locking

From: Ted Zlatanov <[email-masked]>
Date: Tue, 11 Jun 2013 17:35:48 -0400

On Tue, 11 Jun 2013 23:29:49 +0200 Juanma Barranquero <[email-masked]> wrote: 

JB> I'm seeing another problem with prog-prettify-symbols, but I haven't
JB> filed yet a new bug because for now I can only reproduce it with my
JB> setup.

JB> Sometimes `lambda' gets correctly prettified, and sometimes no (see
JB> attached image).
...
JB> Composed with the following character(s) "ambda" by the rule:
JB> (?l ?a ?m ?b ?d ?a)
...
JB> Adding a char before it or otherwise modifying the line makes the
JB> lambda be correctly prettified again. Weird.

Weird.  I don't know what's happening, and it works well for me.  Does
turning `font-lock-mode' off and back on fix it?

Ted